/translateTranslate
Translation
Cost / request
$0.01
Response format
JSON
Protocol
REST
About this endpoint
Access X data through agntdata: Translate. Return Translated Text and the source language if it wasn't specified. Responses are structured JSON for AI agents, analytics, and automation — one API key instead of juggling upstream accounts. Ideal when you need tweets, user profiles, followers, search, and hashtag streams programmatically.
Use cases
AI agents that need X data in structured form
Analytics and monitoring pipelines for X content
Research and GTM workflows that combine X signals with other data
Parameters
bodyRequest Body
Content type: application/json
{
"type": "object",
"properties": {
"dest": {
"type": "string"
},
"text": {
"type": "string"
}
}
}Responses
200
{
"type": "object",
"properties": {
"destination_language": {
"type": "string"
},
"original_language": {
"type": "string"
},
"original_text": {
"type": "string"
},
"translated_text": {
"type": "string"
}
}
}Agent / Developer Schema
Machine-readable formats for integrating this endpoint into AI agents and toolchains.
{
"operationId": "Translate_post__translate",
"method": "post",
"path": "/translate",
"summary": "Translate",
"description": "Return Translated Text and the source language if it wasn't specified",
"parameters": [],
"requestBody": {
"required": false,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"dest": {
"type": "string"
},
"text": {
"type": "string"
}
}
},
"example": {
"dest": "en",
"text": "Moi je vous dis que la table ronde du #PPF @ParisPeaceForum “Navigating the #AI revolution” où il y avait notamment @ylecun (Meta) @BradSmi (Microsoft) et @ianbremmer est assurément à réécouter en replay. (Oui, cela a un peu clashé)."
}
}
}
},
"responses": [
{
"statusCode": "200",
"description": "200",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"destination_language": {
"type": "string"
},
"original_language": {
"type": "string"
},
"original_text": {
"type": "string"
},
"translated_text": {
"type": "string"
}
}
},
"example": {
"destination_language": "en",
"original_language": "fr",
"original_text": "Moi je vous dis que la table ronde du #PPF @ParisPeaceForum “Navigating the #AI revolution” où il y avait notamment @ylecun (Meta) @BradSmi (Microsoft) et @ianbremmer est assurément à réécouter en replay. (Oui, cela a un peu clashé).",
"translated_text": "I tell you that the round table of the #PPF @ParisPeaceForum “Navigating the #AI revolution” where there was notably @ylecun (Meta) @BradSmi (Microsoft) and @ianbremmer is certainly worth listening to on replay.(Yes, it clashed a bit)."
}
}
}
}
]
}Pricing
$0.01per successful request
Credits are deducted from your agntdata balance on each successful API call. Failed requests (4xx/5xx) are not charged.
Related endpoints
Start using this endpoint
Generate your API key and make your first call in under a minute. Free tier available with transparent pricing.
X APIX data APItranslate APIAI agents data APIX APIX data APIX for AI agents